/* /Pages/Map.razor.rz.scp.css */
.page-wrapper[b-psstkm788g] {
    font-family: "Lato", sans-serif;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
}

.countdown-card[b-psstkm788g] {
    margin: 1.5rem;
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 4px;
    align-items: center;
    border: #222c56 4px solid;
    border-radius: 20px;
}

.countdown-card.expired[b-psstkm788g] {
    border-color: #dc0c15;
}

.countdown-label[b-psstkm788g] {
    font-size: 1.5rem;
    font-weight: 400;
    color: #666;
}

.countdown-time[b-psstkm788g] {
    font-size: 3.5rem;
    font-weight: 800;
    color: #222c56;
}

.countdown-time.expired[b-psstkm788g] {
    color: #dc0c15;
}

@media (max-width: 576px) {
    .countdown-card[b-psstkm788g] {
        margin: 1rem;
        padding: 1rem;
        border-width: 3px;
        border-radius: 12px;
    }
    .countdown-label[b-psstkm788g] {
        font-size: 1.2rem;
    }

    .countdown-time[b-psstkm788g] {
        font-size: 2.7rem;
    }
}

.map-area[b-psstkm788g] {
    width: 100%;
    flex: 1;
    min-height: 0;
}

.expired-container[b-psstkm788g] {
    width: 100%;
    flex: 1;
    background: #ECEDF6;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

[b-psstkm788g] .map-canvas {
    height: 100% !important;
    width: 100%;
}
.expired-text[b-psstkm788g] {
    font-size: 1.4rem;
    color: #333;
}

.expired-image[b-psstkm788g] {
    max-height: 25vh;
    width: auto;
    margin-top: 10px;
}
